Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.cg
Class CgException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.sun.opengl.cg.CgException

All Implemented Interfaces:
  Serializable

public class CgException
extends RuntimeException

A generic exception for errors that occur throughout the NVidia Cg binding, as a substitute for `RuntimeException`.

See Also:
  Serialized Form

Constructor Summary
`CgException()` Constructs a CgException object.
`CgException(String message)` Constructs a CgException object with the specified detail message.
`CgException(String message, Throwable cause)` Constructs a CgException object with the specified detail message and root cause.
`CgException(Throwable cause)` Constructs a CgException object with the specified root cause.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CgException

    public CgException()

  Constructs a CgException object.

### CgException

    public CgException(String message)

  Constructs a CgException object with the specified detail message.

### CgException

    public CgException(String message,
                       Throwable cause)

  Constructs a CgException object with the specified detail message and root cause.

### CgException

    public CgException(Throwable cause)

  Constructs a CgException object with the specified root cause.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.